| Verb | URI | Description | |||
| POST | /servers/id/action |
Cancels and reverts a pending resize action. | |||
Normal Response Code: 202
Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), badMediaType(415), itemNotFound (404), buildInProgress (409), serverCapacityUnavailable (503), overLimit (413), resizeNotAllowed (403)
| Status Transition: |
VERIFY_RESIZE
ACTIVE
|
||
During a resize operation, the original server is saved for a period of time to allow for roll back if there is a problem. If you determine there is a problem with a newly resized server, use this operation to revert the resize and roll back to the original server. All resizes are automatically confirmed after 24 hours if they have not already been confirmed explicitly or reverted.
Example 3.30. Revert Resize: XML Request
<?xml version="1.0" encoding="UTF-8"?>
<revertResize xmlns="http://docs.rackspacecloud.com/servers/api/v1.0" />
This operation does not return a response body.


